---
- name: install docker dependencies
  apt:
    name: "apt-transport-https"
    state: present

- name: add docker repository key
  apt_key:
    url: https://download.docker.com/linux/debian/gpg
    state: present

- name: add docker repository
  apt_repository:
    repo: deb https://download.docker.com/linux/debian buster stable
    state: present

- name: install docker
  apt:
    name: "docker-ce"
    update_cache: yes
    state: present

- name: install iptables-persistent
  apt:
    name: iptables-persistent
    state: present
